List egress IPs in a gateway
curl --request GET \
--url https://api.blaxel.ai/v0/vpcs/{vpcName}/egressgateways/{gatewayName}/ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/vpcs/{vpcName}/egressgateways/{gatewayName}/ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/vpcs/{vpcName}/egressgateways/{gatewayName}/ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"name": "my-egress-ip",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Egress IP",
"gatewayName": "<string>",
"vpcName": "<string>",
"workspace": "<string>"
},
"spec": {
"ipFamily": "IPv4",
"publicIp": "<string>"
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
]
}
]vpcs
List egress IPs in a gateway
GET
/
vpcs
/
{vpcName}
/
egressgateways
/
{gatewayName}
/
ips
List egress IPs in a gateway
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Response
200 - application/json
successful operation
Metadata for an egress IP address including gateway association and name
Show child attributes
Show child attributes
Specification for an egress IP including IP family and the provisioned address
Show child attributes
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Show child attributes
Deployment status of a resource deployed on Blaxel
Available options:
DELETING, TERMINATED, FAILED, DEACTIVATED, DEACTIVATING, UPLOADING, BUILDING, DEPLOYING, DEPLOYED, BUILT Last modified on July 1, 2026
Was this page helpful?
⌘I
